Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -9975,4 +18517,538 @@
     259    Face8Position                        int16u[4]
 
+=head3 Sony Tag900b Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      2    FacesDetected                        no
+    189    FaceDetection                        no
+
+=head3 Sony Tag9050a Tags
+
+Data for tags 0x9050, 0x94xx and 0x2010 is encrypted by a simple
+substitution cipher, but the deciphered values are listed below.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    SonyMaxAperture                      int8u
+      1    SonyMinAperture                      int8u
+     32    Shutter                              int16u[3]
+     49    FlashStatus                          int8u
+     50    ShutterCount                         int32u
+     58    SonyExposureTime                     int16u
+     60    SonyFNumber                          int16u
+     63    ReleaseMode2                         int8u
+     76    ShutterCount2                        int32u
+     81    SonyDateTime2                        undef[6]
+    103    ReleaseMode2                         int8u
+    124    InternalSerialNumber                 int8u[4]~
+    240    InternalSerialNumber                 int8u[5]
+    261    LensMount                            int8u
+    262    LensFormat                           int8u
+    263    LensType2                            int16u
+    265    LensType                             int16u
+    267    DistortionCorrParamsPresent          int8u
+    276    APS-CSizeCapture                     int8u
+    277    LensSpecFeatures                     undef[2]
+    278    LensSpecFeatures                     undef[2]
+    416    ShutterCount3                        int32u
+    426    ShutterCount3                        int32u
+    445    ShutterCount3                        int32u
+
+=head3 Sony Tag9050b Tags
+
+Valid from July 2015 for ILCE-6100/6300/6400/6500/6600/7C/7M3/7RM2/7RM3/7RM4/
+7SM2/9/9M2, ILCA-99M2.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    SonyMaxAperture                      int8u
+      1    SonyMinAperture                      int8u
+     38    Shutter                              int16u[3]
+     57    FlashStatus                          int8u
+     58    ShutterCount                         int32u
+     70    SonyExposureTime                     int16u
+     72    SonyFNumber                          int16u
+     75    ReleaseMode2                         int8u
+     80    ShutterCount2                        int32u
+     82    ShutterCount2                        int32u
+     88    ShutterCount2                        int32u
+     97    SonyTimeMinSec                       no
+    107    ReleaseMode2                         int8u
+    109    ReleaseMode2                         int8u
+    115    ReleaseMode2                         int8u
+    136    InternalSerialNumber                 int8u[6]~
+    261    LensMount                            int8u
+    262    LensFormat                           int8u
+    263    LensType2                            int16u
+    265    LensType                             int16u
+    267    DistortionCorrParamsPresent          int8u
+    276    APS-CSizeCapture                     int8u
+    278    LensSpecFeatures                     undef[2]
+    415    ShutterCount3                        int32u
+    459    ShutterCount3                        int32u
+    461    ShutterCount3                        int32u
+    491    APS-CSizeCapture                     int8u
+    493    LensSpecFeatures                     undef[2]
+    494    APS-CSizeCapture                     int8u
+    496    LensSpecFeatures                     undef[2]
+    538    APS-CSizeCapture                     int8u
+    540    LensSpecFeatures                     undef[2]
+           APS-CSizeCapture                     int8u
+    542    LensSpecFeatures                     undef[2]
+
+=head3 Sony Tag9050c Tags
+
+Valid from July 2020 for ILCE-1/7SM3.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     38    Shutter                              int16u[3]
+     57    FlashStatus                          int8u
+     58    ShutterCount                         int32u~
+     70    SonyExposureTime                     int16u
+     72    SonyFNumber                          int16u
+     75    ReleaseMode2                         int8u
+     80    ShutterCount2                        int32u
+    102    SonyExposureTime                     int16u
+    104    SonyFNumber                          int16u
+    107    ReleaseMode2                         int8u
+    136    InternalSerialNumber                 int8u[6]~
+
+=head3 Sony Tag9400a Tags
+
+Valid for many DSC, NEX and SLT models
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      8    SequenceImageNumber                  int32u
+     12    SequenceFileNumber                   int32u
+     16    ReleaseMode2                         int8u
+     18    DigitalZoom                          int8u
+     26    ShotNumberSincePowerUp               int32u
+     34    SequenceLength                       int8u
+     40    CameraOrientation                    int8u
+     41    Quality2                             int8u
+     68    SonyImageHeight                      int16u~
+     82    ModelReleaseYear                     int8u~
+
+=head3 Sony Tag9400b Tags
+
+Valid for NEX-3N, ILCE-3000/3500, SLT-A58, DSC-WX60, DSC-WX300, DSC-RX100M2,
+DSC-HX50V, DSC-QX10/QX100.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      8    SequenceImageNumber                  int32u
+     12    SequenceFileNumber                   int32u
+     16    ReleaseMode2                         int8u
+     18    DigitalZoom                          int8u
+     22    ShotNumberSincePowerUp               int32u
+     30    SequenceLength                       int8u
+     36    CameraOrientation                    int8u
+     37    Quality2                             int8u
+     63    SonyImageHeight                      int16u~
+     70    ModelReleaseYear                     int8u~
+
+=head3 Sony Tag9400c Tags
+
+Valid for DSC-HX60V/HX80/HX90V/HX99/HX350/HX400V/QX30/RX0/RX1RM2/RX10/
+RX10M2/RX10M3/RX10M4/RX100M3/RX100M4/RX100M5/RX100M5A/RX100M6/RX100M7/WX220/
+WX350/WX500, ILCE-1/7/7C/7R/7S/7M2/7M3/7RM2/7RM3/7RM4/7SM2/7SM3/9/9M2/5000/
+5100/6000/6100/6300/6400/6500/6600/QX1, ILCA-68/77M2/99M2.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      9    ReleaseMode2                         int8u
+     10    ShotNumberSincePowerUp               int32u
+     18    SequenceImageNumber                  int32u
+     22    SequenceLength                       int8u
+     26    SequenceFileNumber                   int32u
+     30    SequenceLength                       int8u
+     41    CameraOrientation                    int8u
+     42    Quality2                             int8u
+     71    SonyImageHeight                      int16u~
+     83    ModelReleaseYear                     int8u~
+
+=head3 Sony Tag9401 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+   1176    ISOInfo                              Sony ISOInfo
+   1185    ISOInfo                              Sony ISOInfo
+   1186    ISOInfo                              Sony ISOInfo
+   1437    ISOInfo                              Sony ISOInfo
+   1588    ISOInfo                              Sony ISOInfo
+   1590    ISOInfo                              Sony ISOInfo
+   1612    ISOInfo                              Sony ISOInfo
+   1619    ISOInfo                              Sony ISOInfo
+   1656    ISOInfo                              Sony ISOInfo
+   1720    ISOInfo                              Sony ISOInfo
+   1758    ISOInfo                              Sony ISOInfo
+   1767    ISOInfo                              Sony ISOInfo
+
+=head3 Sony ISOInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ISOSetting                           int8u
+      2    ISOAutoMin                           int8u
+      4    ISOAutoMax                           int8u
+
+=head3 Sony Tag9402 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    AmbientTemperature                   int8s
+     22    FocusMode                            int8u & 0x7f
+     23    AFAreaMode                           int8u
+     45    FocusPosition2                       int8u
+
+=head3 Sony Tag9403 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      5    CameraTemperature                    int8s
+
+=head3 Sony Tag9404a Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     11    ExposureProgram                      int8u
+     13    IntelligentAuto                      int8u
+     25    LensZoomPosition                     int16u
+
+=head3 Sony Tag9404b Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     12    ExposureProgram                      int8u
+     14    IntelligentAuto                      int8u
+     30    LensZoomPosition                     int16u
+     32    FocusPosition2                       int8u
+
+=head3 Sony Tag9404c Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     11    ExposureProgram                      int8u
+     13    IntelligentAuto                      int8u
+
+=head3 Sony Tag9405a Tags
+
+Valid for SLT, NEX, ILCE-3000/3500 and several DSC models.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+   1536    DistortionCorrParamsPresent          int8u
+   1537    DistortionCorrection                 int8u
+   1539    LensFormat                           int8u
+   1540    LensMount                            int8u
+   1541    LensType2                            int16u
+   1544    LensType                             int16u
+   1610    VignettingCorrParams                 int16s[16]
+   1642    ChromaticAberrationCorrParams        int16s[32]
+   1738    DistortionCorrParams                 int16s[16]
+
+=head3 Sony Tag9405b Tags
+
+Valid for DSC-HX60V/HX80/HX90V/HX99/HX350/HX400V/QX30/RX0/RX10/RX10M2/
+RX10M3/RX10M4/RX100M3/RX100M4/RX100M5/RX100M5A/RX100M6/RX100M7/WX220/WX350,
+ILCE-7/7M2/7M3/7R/7RM2/7RM3/7RM4/7S/7SM2/9/9M2/5000/5100/6000/6100/6300/
+6400/6500/6600/QX1, ILCA-68/77M2/99M2.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    SonyISO                              int16u
+      6    BaseISO                              int16u
+     10    StopsAboveBaseISO                    int16u
+     14    SonyExposureTime2                    int16u
+     16    ExposureTime                         rational32u
+     20    SonyFNumber                          int16u
+     22    SonyMaxApertureValue                 int16u
+     36    SequenceImageNumber                  int32u
+     52    ReleaseMode2                         int8u
+     62    SonyImageWidthMax                    int16u
+     64    SonyImageHeightMax                   int16u
+     66    HighISONoiseReduction                int8u
+     68    LongExposureNoiseReduction           int8u
+     70    PictureEffect2                       int8u
+     72    ExposureProgram                      int8u
+     74    CreativeStyle                        int8u
+     82    Sharpness                            int8s
+     90    DistortionCorrParamsPresent          int8u
+     91    DistortionCorrection                 int8u
+     93    LensFormat                           int8u
+     94    LensMount                            int8u
+     96    LensType2                            int16u
+     98    LensType                             int16u
+    100    DistortionCorrParams                 int16s[16]
+    834    LensZoomPosition                     int16u
+    842    VignettingCorrParams                 int16s[16]
+    846    LensZoomPosition                     int16u
+    848    VignettingCorrParams                 int16s[16]
+    858    LensZoomPosition                     int16u
+    860    VignettingCorrParams                 int16s[16]
+    872    VignettingCorrParams                 int16s[16]
+    892    ChromaticAberrationCorrParams        int16s[32]
+    900    ChromaticAberrationCorrParams        int16s[32]
+    924    ChromaticAberrationCorrParams        int16s[32]
+    944    ChromaticAberrationCorrParams        int16s[32]
+    952    ChromaticAberrationCorrParams        int16s[32]
+
+=head3 Sony Tag9406 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      5    BatteryTemperature                   int8u
+      6    BatteryLevelGrip1                    int8u
+      7    BatteryLevel                         int8u
+      8    BatteryLevelGrip2                    int8u
+
+=head3 Sony Tag940a Tags
+
+These tags are currently extracted for SLT models only.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    AFPointsSelected                     int32u
+
+=head3 Sony Tag940c Tags
+
+NEX and ILCE models only.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      8    LensMount2                           int8u
+      9    LensType3                            int16u
+     11    CameraE-mountVersion                 int16u
+     13    LensE-mountVersion                   int16u
+     20    LensFirmwareVersion                  int16u~
+
+=head3 Sony AFInfo Tags
+
+These tags are currently extracted for SLT models only.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      2    AFType                               int8u
+      4    AFStatusActiveSensor                 int16s
+      5    FocusMode                            int8u
+      7    AFPoint                              int8u
+      8    AFPointInFocus                       int8u
+      9    AFPointAtShutterRelease              int8u
+     10    AFAreaMode                           int8u
+     11    FocusMode                            int8u
+     16    AFPointsUsed                         int8u[10]
+     17    AFStatus15                           Sony AFStatus15
+           AFStatus19                           Sony AFStatus19
+     55    AFPoint                              int8u
+     56    AFPointInFocus                       int8u
+     57    AFPointAtShutterRelease              int8u
+     58    AFAreaMode                           int8u
+     59    AFStatusActiveSensor                 int16s
+     67    ExposureProgram                      int8u
+     80    AFMicroAdj                           int8s
+    125    AFStatus79                           Sony AFStatus79
+    366    AFPointsUsed                         int32u
+    381    AFMicroAdj                           int8s
+    382    ExposureProgram                      int8u
+
+=head3 Sony AFStatus19 Tags
+
+AF Status information for models with 19-point AF.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    AFStatusUpperFarLeft                 int16s
+      2    AFStatusUpper-leftHorizontal         int16s
+      4    AFStatusFarLeftHorizontal            int16s
+      6    AFStatusLeftHorizontal               int16s
+      8    AFStatusLowerFarLeft                 int16s
+     10    AFStatusLower-leftHorizontal         int16s
+     12    AFStatusUpper-leftVertical           int16s
+     14    AFStatusLeftVertical                 int16s
+     16    AFStatusLower-leftVertical           int16s
+     18    AFStatusFarLeftVertical              int16s
+     20    AFStatusTopHorizontal                int16s
+     22    AFStatusNearRight                    int16s
+     24    AFStatusCenterHorizontal             int16s
+     26    AFStatusNearLeft                     int16s
+     28    AFStatusBottomHorizontal             int16s
+     30    AFStatusTopVertical                  int16s
+     32    AFStatusUpper-middle                 int16s
+     34    AFStatusCenterVertical               int16s
+     36    AFStatusLower-middle                 int16s
+     38    AFStatusBottomVertical               int16s
+     40    AFStatusUpperFarRight                int16s
+     42    AFStatusUpper-rightHorizontal        int16s
+     44    AFStatusFarRightHorizontal           int16s
+     46    AFStatusRightHorizontal              int16s
+     48    AFStatusLowerFarRight                int16s
+     50    AFStatusLower-rightHorizontal        int16s
+     52    AFStatusFarRightVertical             int16s
+     54    AFStatusUpper-rightVertical          int16s
+     56    AFStatusRightVertical                int16s
+     58    AFStatusLower-rightVertical          int16s
+
+=head3 Sony AFStatus79 Tags
+
+AF Status information for models with 79-point AF.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    AFStatus_00_B4                       int16s
+      2    AFStatus_01_C4                       int16s
+      4    AFStatus_02_D4                       int16s
+      6    AFStatus_03_E4                       int16s
+      8    AFStatus_04_F4                       int16s
+     10    AFStatus_05_G4                       int16s
+     12    AFStatus_06_H4                       int16s
+     14    AFStatus_07_B3                       int16s
+     16    AFStatus_08_C3                       int16s
+     18    AFStatus_09_D3                       int16s
+     20    AFStatus_10_E3                       int16s
+     22    AFStatus_11_F3                       int16s
+     24    AFStatus_12_G3                       int16s
+     26    AFStatus_13_H3                       int16s
+     28    AFStatus_14_B2                       int16s
+     30    AFStatus_15_C2                       int16s
+     32    AFStatus_16_D2                       int16s
+     34    AFStatus_17_E2                       int16s
+     36    AFStatus_18_F2                       int16s
+     38    AFStatus_19_G2                       int16s
+     40    AFStatus_20_H2                       int16s
+     42    AFStatus_21_C1                       int16s
+     44    AFStatus_22_D1                       int16s
+     46    AFStatus_23_E1                       int16s
+     48    AFStatus_24_F1                       int16s
+     50    AFStatus_25_G1                       int16s
+     52    AFStatus_26_A7_Vertical              int16s
+     54    AFStatus_27_A6_Vertical              int16s
+     56    AFStatus_28_A5_Vertical              int16s
+     58    AFStatus_29_C7_Vertical              int16s
+     60    AFStatus_30_C6_Vertical              int16s
+     62    AFStatus_31_C5_Vertical              int16s
+     64    AFStatus_32_E7_Vertical              int16s
+     66    AFStatus_33_E6_Center_Vertical       int16s
+     68    AFStatus_34_E5_Vertical              int16s
+     70    AFStatus_35_G7_Vertical              int16s
+     72    AFStatus_36_G6_Vertical              int16s
+     74    AFStatus_37_G5_Vertical              int16s
+     76    AFStatus_38_I7_Vertical              int16s
+     78    AFStatus_39_I6_Vertical              int16s
+     80    AFStatus_40_I5_Vertical              int16s
+     82    AFStatus_41_A7                       int16s
+     84    AFStatus_42_B7                       int16s
+     86    AFStatus_43_C7                       int16s
+     88    AFStatus_44_D7                       int16s
+     90    AFStatus_45_E7                       int16s
+     92    AFStatus_46_F7                       int16s
+     94    AFStatus_47_G7                       int16s
+     96    AFStatus_48_H7                       int16s
+     98    AFStatus_49_I7                       int16s
+    100    AFStatus_50_A6                       int16s
+    102    AFStatus_51_B6                       int16s
+    104    AFStatus_52_C6                       int16s
+    106    AFStatus_53_D6                       int16s
+    108    AFStatus_54_E6_Center                int16s
+    110    AFStatus_55_F6                       int16s
+    112    AFStatus_56_G6                       int16s
+    114    AFStatus_57_H6                       int16s
+    116    AFStatus_58_I6                       int16s
+    118    AFStatus_59_A5                       int16s
+    120    AFStatus_60_B5                       int16s
+    122    AFStatus_61_C5                       int16s
+    124    AFStatus_62_D5                       int16s
+    126    AFStatus_63_E5                       int16s
+    128    AFStatus_64_F5                       int16s
+    130    AFStatus_65_G5                       int16s
+    132    AFStatus_66_H5                       int16s
+    134    AFStatus_67_I5                       int16s
+    136    AFStatus_68_C11                      int16s
+    138    AFStatus_69_D11                      int16s
+    140    AFStatus_70_E11                      int16s
+    142    AFStatus_71_F11                      int16s
+    144    AFStatus_72_G11                      int16s
+    146    AFStatus_73_B10                      int16s
+    148    AFStatus_74_C10                      int16s
+    150    AFStatus_75_D10                      int16s
+    152    AFStatus_76_E10                      int16s
+    154    AFStatus_77_F10                      int16s
+    156    AFStatus_78_G10                      int16s
+    158    AFStatus_79_H10                      int16s
+    160    AFStatus_80_B9                       int16s
+    162    AFStatus_81_C9                       int16s
+    164    AFStatus_82_D9                       int16s
+    166    AFStatus_83_E9                       int16s
+    168    AFStatus_84_F9                       int16s
+    170    AFStatus_85_G9                       int16s
+    172    AFStatus_86_H9                       int16s
+    174    AFStatus_87_B8                       int16s
+    176    AFStatus_88_C8                       int16s
+    178    AFStatus_89_D8                       int16s
+    180    AFStatus_90_E8                       int16s
+    182    AFStatus_91_F8                       int16s
+    184    AFStatus_92_G8                       int16s
+    186    AFStatus_93_H8                       int16s
+    188    AFStatus_94_E6_Center_F2-8           int16s
+
+=head3 Sony Tag940e Tags
+
+E-mount models.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+   6662    TiffMeteringImageWidth               no
+   6663    TiffMeteringImageHeight              no
+   6664    TiffMeteringImage                    no
+
+=head3 Sony Tag9416 Tags
+
+Valid for the ILCE-1/7SM3.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Tag9416_0000                         no
+      4    SonyISO                              no
+      6    StopsAboveBaseISO                    no
+     10    SonyExposureTime2                    no
+     12    ExposureTime                         no
+     16    SonyFNumber2                         no
+     18    SonyMaxApertureValue                 no
+     29    SequenceImageNumber                  no
+     53    ExposureProgram                      no
+     72    LensMount                            no
+     73    LensFormat                           no
+     74    LensMount                            no
+     75    LensType2                            no
+     77    LensType                             no
+     79    DistortionCorrParams                 no
+    112    PictureProfile                       no
+    113    FocalLength                          no
+    115    MinFocalLength                       no
+    117    MaxFocalLength                       no
+   2191    VignettingCorrParams                 no
+   2324    ChromaticAberrationCorrParams        no
+
+=head3 Sony PIC Tags
+
+The TextInfo data is extracted as a block to preserve the formatting, and
+some of the more interesting information is extracted as separate tags.
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'BC:'                Barcode                  no
+  'BarCode:'           Barcode                  no
+  'Capt:'              SensorTemperature        no
+  'FWVer:'             FirmwareVersion          no
+  'IFD'                PIC_IFD                  Sony
+  'Temp:'              CameraTemperature        no
+  'Temp:Clbt:'         BoardTemperature         no
+  'TextInfo1'          TextInfo1                no
+  'TextInfo2'          TextInfo2                no
+  'VR Enable C:'       VibrationReduction       no
+  'barcode:'           Barcode                  no
+
 =head3 Sony Ericsson Tags
 
@@ -9996,6 +19072,6 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x0000   SRF2Key                              N
-  0x0001   DataKey                              N
+  0x0000   SRF2Key                              no
+  0x0001   DataKey                              no
 
 =head3 Sony SRF2 Tags
@@ -10005,8 +19081,30 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x0002   SRF6Offset                           N
-  0x0003   SRFDataOffset?                       N
-  0x0004   RawDataOffset                        N
-  0x0005   RawDataLength                        N
+  0x0002   SRF6Offset                           no
+  0x0003   SRFDataOffset?                       no
+  0x0004   RawDataOffset                        no
+  0x0005   RawDataLength                        no
+  0x0043   MaxApertureAtMaxFocal                no
+  0x0044   MaxApertureAtMinFocal                no
+  0x0045   MinFocalLength                       no
+  0x0046   MaxFocalLength                       no
+  0x00c0   WBRedDaylight                        no
+  0x00c1   WBGreenDaylight                      no
+  0x00c2   WBBlueDaylight                       no
+  0x00c3   WBRedCloudy                          no
+  0x00c4   WBGreenCloudy                        no
+  0x00c5   WBBlueCloudy                         no
+  0x00c6   WBRedFluorescent                     no
+  0x00c7   WBGreenFluorescent                   no
+  0x00c8   WBBlueFluorescent                    no
+  0x00c9   WBRedTungsten                        no
+  0x00ca   WBGreenTungsten                      no
+  0x00cb   WBBlueTungsten                       no
+  0x00cc   WBRedFlash                           no
+  0x00cd   WBGreenFlash                         no
+  0x00ce   WBBlueFlash                          no
+  0x00d0   WBRedAsShot                          no
+  0x00d1   WBGreenAsShot                        no
+  0x00d2   WBBlueAsShot                         no
 
 =head3 Sony SR2Private Tags
@@ -10018,7 +19116,7 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x7200   SR2SubIFDOffset                      N
-  0x7201   SR2SubIFDLength                      N
-  0x7221   SR2SubIFDKey                         N
+  0x7200   SR2SubIFDOffset                      no
+  0x7201   SR2SubIFDLength                      no
+  0x7221   SR2SubIFDKey                         no
   0x7240   IDC_IFD                              SonyIDC
   0x7241   IDC2_IFD                             SonyIDC
@@ -10031,15 +19129,40 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x7303   WB_GRBGLevels                        N
-  0x7313   WB_RGGBLevels                        N
-  0x74a0   MaxApertureAtMaxFocal                N
-  0x74a1   MaxApertureAtMinFocal                N
+  0x7300   BlackLevel                           no
+  0x7302   WB_GRBGLevelsAuto                    no
+  0x7303   WB_GRBGLevels                        no
+  0x7310   BlackLevel                           no
+  0x7312   WB_RGGBLevelsAuto                    no
+  0x7313   WB_RGGBLevels                        no
+  0x7480   WB_RGBLevelsDaylight                 no
+  0x7481   WB_RGBLevelsCloudy                   no
+  0x7482   WB_RGBLevelsTungsten                 no
+  0x7483   WB_RGBLevelsFlash                    no
+  0x7484   WB_RGBLevels4500K                    no
+  0x7486   WB_RGBLevelsFluorescent              no
+  0x74a0   MaxApertureAtMaxFocal                no
+  0x74a1   MaxApertureAtMinFocal                no
+  0x74a2   MaxFocalLength                       no
+  0x74a3   MinFocalLength                       no
   0x74c0   SR2DataIFD                           Sony SR2DataIFD
-  0x7820   WB_RGBLevelsDaylight                 N
-  0x7821   WB_RGBLevelsCloudy                   N
-  0x7822   WB_RGBLevelsTungsten                 N
-  0x7825   WB_RGBLevelsShade                    N
-  0x7826   WB_RGBLevelsFluorescent              N
-  0x7828   WB_RGBLevelsFlash                    N
+  0x7800   ColorMatrix                          no
+  0x7820   WB_RGBLevelsDaylight                 no
+  0x7821   WB_RGBLevelsCloudy                   no
+  0x7822   WB_RGBLevelsTungsten                 no
+  0x7823   WB_RGBLevelsFlash                    no
+  0x7824   WB_RGBLevels4500K                    no
+  0x7825   WB_RGBLevelsShade                    no
+  0x7826   WB_RGBLevelsFluorescent              no
+  0x7827   WB_RGBLevelsFluorescentP1            no
+  0x7828   WB_RGBLevelsFluorescentP2            no
+  0x7829   WB_RGBLevelsFluorescentM1            no
+  0x782a   WB_RGBLevels8500K                    no
+  0x782b   WB_RGBLevels6000K                    no
+  0x782c   WB_RGBLevels3200K                    no
+  0x782d   WB_RGBLevels2500K                    no
+  0x787f   WhiteLevel                           no
+  0x797d   VignettingCorrParams                 no
+  0x7980   ChromaticAberrationCorrParams        no
+  0x7982   DistortionCorrParams                 no
 
 =head3 Sony SR2DataIFD Tags
@@ -10047,5 +19170,5 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x7770   ColorMode                            N
+  0x7770   ColorMode                            no
 
 =head3 Sony PMP Tags
